cURL
curl https://api.aiql.io/requests \
-H "Authorization: Bearer $AIQL_API_KEY" \
-H "AiQL-Workspace: $AIQL_WORKSPACE_ID"import os
from aiql import AiQL
client = AiQL(api_key=os.environ["AIQL_API_KEY"])
requests = client.requests.list(workspace_id="ws_3a1b")import { AiQL } from "@aiql.io/sdk";
const client = new AiQL({ apiKey: process.env.AIQL_API_KEY });
const requests = await client.requests.list({ workspaceId: "ws_3a1b" });{
"data": [
{
"id": "<string>",
"title": "<string>",
"description": "<string>",
"status": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"labels": [
"<string>"
],
"author": {
"id": "<string>",
"name": "<string>",
"email": "<string>",
"image": "<string>"
},
"assignees": [
{
"id": "<string>",
"name": "<string>",
"email": "<string>",
"image": "<string>"
}
],
"opened_at": "2023-11-07T05:31:56Z",
"changes_requested_at": "2023-11-07T05:31:56Z",
"approved_at": "2023-11-07T05:31:56Z",
"rejected_at": "2023-11-07T05:31:56Z",
"approval_count": 0,
"required_approvals": 0,
"comment_count": 0
}
],
"next_cursor": "<string>",
"has_more": false
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Requests
List Requests
GET
/
requests
cURL
curl https://api.aiql.io/requests \
-H "Authorization: Bearer $AIQL_API_KEY" \
-H "AiQL-Workspace: $AIQL_WORKSPACE_ID"import os
from aiql import AiQL
client = AiQL(api_key=os.environ["AIQL_API_KEY"])
requests = client.requests.list(workspace_id="ws_3a1b")import { AiQL } from "@aiql.io/sdk";
const client = new AiQL({ apiKey: process.env.AIQL_API_KEY });
const requests = await client.requests.list({ workspaceId: "ws_3a1b" });{
"data": [
{
"id": "<string>",
"title": "<string>",
"description": "<string>",
"status": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"labels": [
"<string>"
],
"author": {
"id": "<string>",
"name": "<string>",
"email": "<string>",
"image": "<string>"
},
"assignees": [
{
"id": "<string>",
"name": "<string>",
"email": "<string>",
"image": "<string>"
}
],
"opened_at": "2023-11-07T05:31:56Z",
"changes_requested_at": "2023-11-07T05:31:56Z",
"approved_at": "2023-11-07T05:31:56Z",
"rejected_at": "2023-11-07T05:31:56Z",
"approval_count": 0,
"required_approvals": 0,
"comment_count": 0
}
],
"next_cursor": "<string>",
"has_more": false
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
API key or UI session JWT passed as a Bearer token.
Headers
ID of the workspace the request operates on.
Query Parameters
Maximum number of items to return per page.
Required range:
1 <= x <= 100Opaque cursor pointing to the page to fetch. Omit to start from the first page.